Lucene search

K
osvGoogleOSV:GHSA-J8QV-MJ4R-6FW4
HistoryMay 13, 2022 - 1:01 a.m.

Improper Input Validation in Jenkins

2022-05-1301:01:00
Google
osv.dev
7

0.007 Low

EPSS

Percentile

80.4%

A unauthorized modification of configuration vulnerability exists in Jenkins 2.132 and earlier, 2.121.1 and earlier in User.java that allows attackers to provide crafted login credentials that cause Jenkins to move the config.xml file from the Jenkins home directory. If Jenkins is started without this file present, it will revert to the legacy defaults of granting administrator access to anonymous users.